import Layout from "@/layout";

const HomeRoutes = {
  path: "/baggageManagement",
  component: Layout,
  name: "baggageManagement",
  redirect: "/baggageManagement/departure",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "综合可视化", elSvgIcon: "Fold" },
  children: [
    {
      path: "/baggageManagement/departure/station",
      name: "InternalDeparture",
      meta: { title: "国内出港", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/departure/station/index.vue"),
      children: [
        {
          path: "/baggageManagement/departure/station",
          name: "DepartureStation",
          meta: { title: "国内出港航站视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/station/index.vue"),
        },
        {
          path: "/baggageManagement/departure/flight",
          name: "DepartureFlight",
          meta: { title: "国内出港航班视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/flight/index.vue"),
        },
        {
          path: "/baggageManagement/departure/waybill",
          name: "DepartureWaybill",
          meta: { title: "国内出港运单视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/waybill/index.vue"),
        },
        {
          path: "/baggageManagement/departure/goods",
          name: "DepartureGoods",
          meta: { title: "国内出港行李视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/goods/index.vue"),
        }
      ]
    },
    {
      path: "/baggageManagement/departure",
      name: "DepartureC",
      meta: { title: "国际出港", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/departureC/index.vue"),
    },
    {
      path: "/baggageManagement/Arrival/station",
      name: "InternalArrival",
      meta: { title: "国内进港", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/departure/station/index.vue"),
      children: [
        {
          path: "/baggageManagement/arrival/station",
          name: "ArrivalStation",
          meta: { title: "国内进港航站视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/station/index.vue"),
        },
        {
          path: "/baggageManagement/arrival/flight",
          name: "ArrivalFlight",
          meta: { title: "国内进港航班视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/flight/index.vue"),
        },
        {
          path: "/baggageManagement/arrival/waybill",
          name: "ArrivalWaybill",
          meta: { title: "国内进港运单视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/waybill/index.vue"),
        },
        {
          path: "/baggageManagement/arrival/goods",
          name: "ArrivalGoods",
          meta: { title: "国内进港行李视图", elSvgIcon: "Fold", icon: "table" },
          component: () =>
            import("@/views/baggageManagement/departure/goods/index.vue"),
        }
      ]
    },
    {
      path: "/baggageManagement/arrival",
      name: "Arrival",
      meta: { title: "国际进港", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/arrival/index.vue"),
    },
    {
      path: "/baggageManagement/trackMap",
      name: "TrackMap",
      meta: { title: "轨迹地图", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/trackMap/index.vue"),
    },
  ],
};

export default [HomeRoutes];
