import Layout from "@/layout";

const HomeRoutes = {
  path: "/BasicsData",
  component: Layout,
  name: "BasicsData",
  redirect: "/BasicsData/airlineCompany",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "基础数据", elSvgIcon: "Fold" },
  children: [
    {
      path: "/BasicsData/airlineCompany",
      name: "AirlineCompany",
      meta: { title: "航司信息维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/airlineCompany/index.vue"),
    },
    {
      path: "/BasicsData/airportCompany",
      name: "AirportCompany",
      meta: { title: "机场公司维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/airportCompany/index.vue"),
    },
    {
      path: "/BasicsData/airportInfo",
      name: "AirportInfo",
      meta: { title: "机场信息维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/airportInfo/index.vue"),
    },
    {
      path: "/BasicsData/airportInfoChild",
      name: "AirportInfoChild",
      hidden: true,
      meta: { title: "航站楼设置", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/BasicsData/airportInfo/airportInfoChild/index.vue"),
    },
    {
      path: "/BasicsData/positionSetting",
      name: "PositionSetting",
      hidden: true,
      meta: { title: "位置设置", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/BasicsData/airportInfo/positionSetting/index.vue"),
    },
    {
      path: "/BasicsData/deployNode",
      name: "DeployNode",
      meta: { title: "节点信息维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/deployNode/index.vue"),
    },
    {
      path: "/BasicsData/modelMaintenance",
      name: "ModelMaintenance",
      meta: { title: "机型维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/modelMaintenance/index.vue"),
    },
    {
      path: "/BasicsData/shippingSpace",
      name: "ShippingSpace",
      hidden: true,
      meta: { title: "舱位管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/shippingSpace/index.vue"),
    },
    {
      path: "/BasicsData/containerMaintenance",
      name: "ContainerMaintenance",
      meta: { title: "容器维护", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/BasicsData/containerMaintenance/index.vue"),
    },
    {
      path: "/BasicsData/cargoInformation",
      name: "CargoInformation",
      meta: { title: "代货信息维护", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/BasicsData/cargoInformation/index.vue"),
    },
    {
      path: "/BasicsData/specialCargoMaintenance",
      name: "SpecialCargoMaintenance",
      meta: { title: "特殊货物类型维护", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/BasicsData/specialCargoMaintenance/index.vue"),
    },
    {
      path: "/BasicsData/equipmentMaintenance",
      name: "EquipmentMaintenance",
      meta: { title: "设备维护", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/BasicsData/equipmentMaintenance/index.vue"),
    },
  ],
};

export default [HomeRoutes];
